Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354331 - Replication changelog can incorrectly skip over updates
Summary: Replication changelog can incorrectly skip over updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1321126
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 06:57 UTC by Marcel Kolaja
Modified: 2016-11-15 19:37 UTC (History)
9 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-79.el6_8
Doc Type: Bug Fix
Doc Text:
Previously, a bug in the changelog iterator buffer caused it to point to an incorrect position when reloading the buffer. This caused replication to skip parts of the changelog, and consequently some changes were not replicated. This bug has been fixed, and replication data loss due to an incorrectly reloaded changelog buffer no longer occurs.
Clone Of: 1321126
Environment:
Last Closed: 2016-11-15 19:37:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2765 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-16 00:36:28 UTC

Description Marcel Kolaja 2016-07-11 06:57:29 UTC
This bug has been copied from bug #1321126 and has been proposed
to be backported to 6.8 z-stream (EUS).

Comment 4 Noriko Hosoi 2016-08-17 19:45:24 UTC
Note: Fix for DS 48954 is to be added.

Comment 9 errata-xmlrpc 2016-11-15 19:37:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2765.html


Note You need to log in before you can comment on or make changes to this bug.